Summary: Asianux Locale Configurator:
Name: asianux-locale
Version: 0.1
Release: 9%{?dist}
URL: http://www.miraclelinux.com
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Patch0: tui-script-typo.patch
Patch1: asianux-locale.desktop.patch
Patch2: asianux-locale-0.1-default-locale.patch
Patch3: asianux-locale-0.1-tui-show-current-lang.patch
BuildRequires: python-tools
Requires: pygtk2 >= 1.99.11, pygtk2-libglade, python2
Requires: sed, gawk

%description
Asianux Locale Configurator (asianux-locale) is a GUI based tool which
provides an easy way for a user to configure his or her locale of
preference.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/{pixmaps,asianux-locale}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/khwtree/GroupSys
install -m644 asianux-locale.xpm $RPM_BUILD_ROOT/%{_prefix}/share/pixmaps
install -m644 asianux-locale.desktop $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/khwtree/GroupSys

%clean
rm -fr $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/%{name} ] ; then
    rm -rf /usr/share/%{name}/*.pyc
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-tui.sh
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.xpm
%{_sysconfdir}/sysconfig/khwtree/GroupSys/%{name}.desktop

%changelog
* Tue Sep 22 2009 Hua Jie <jie.hua@asianux.com> 0.1-9%{?dist}
- tui tool can read LANG then show the current language(patch3, AXBug#6993)

* Mon Dec  1 2008 Masayuki MORIYAMA <moriyama@miraclelinux.com> 0.1-8%{?dist}
- fix a problem that default locale is wrong (Patch2, AXBug#5565)

* Mon Nov 10 2008 Mika Kamei <mkamei@miraclelinux.com> 0.1-7%{?dist}
- add Japanese messages into asianux-locale.desktop (Patch1, AXBug#5393)

* Thu Oct 23 2008 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 0.1-6%{?dist}
- fix a typo in asianux-locale-tui.sh(Patch0, AXBug#5338)

* Wed May 25 2005 Park Jong O <jopark@haansoft.com> 0.1-5AX
- add ko.po, zh_CN.po and zh_TW.po
- add Korean and Chinese name in asianux-locale.desktop

* Fri May 20 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-4AX
- resize window
- fix a typo in main window

* Wed May 11 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-3AX
- fix it to make it work with zh_CN and zh_TW

* Mon May  9 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-2AX
- unset SYSFONTACM if locale is UTF-8

* Fri Jan 18 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-1AX
- initial packaging

